@import model._

@(bracket: Option[ChallongeBracket], allBrackets: Seq[String])(implicit req: MessagesRequest[AnyContent], user: Option[User])

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers(bracket.map(_.id).getOrElse("None"))
    </head>
    <body>
        @views.html.templates._navbar()

        <div class="container">
            <h3>Challonge Brackets</h3>
            @if(user.exists(_.isCommissioner)) {
                <a href="@routes.ChallongeController.showNewChallongeBracketForm()" class="btn btn-success">New</a>
            }
            <hr />
            @if(allBrackets.nonEmpty) {
                <ul id="challonge-bracket-selector" class="nav nav-tabs" role="tablist">
                @for(bracketName <- allBrackets) {
                    <li class="nav-item mr-2">
                    @if(bracket.exists(_.id == bracketName)) {
                        <a class="nav-link active" href="@routes.ChallongeController.viewChallongeBracket(bracketName)">@bracketName</a>
                    } else {
                        <a class="nav-link" href="@routes.ChallongeController.viewChallongeBracket(bracketName)">@bracketName</a>
                    }
                    </li>
                }
                </ul>
            } else {
                <span>There are currently no brackets available.</span>
            }
            @bracket.map { bracket =>
                @if(user.exists(_.isCommissioner)) {
                    <a href="@routes.ChallongeController.showEditChallongeBracketForm(bracket.id)" class="btn btn-warning">Edit</a>
                }
                @if(bracket.tab.isDefined) {
                    <iframe src="https://challonge.com/@bracket.id/module?theme=@bracket.theme&multiplier=@bracket.multiplier&match_width_multiplier=@bracket.matchWidthMultiplier&scale_to_fit=@bracket.scaleToFit.toInt&show_final_results=@bracket.showFinalResults.toInt&show_standings=@bracket.showStandings&show_voting=@bracket.showVoting&tab=@bracket.tab.get" width="100%" height="500" frameborder="0" scrolling="auto" allowtransparency="true"></iframe>
                } else {
                    <iframe src="https://challonge.com/@bracket.id/module?theme=@bracket.theme&multiplier=@bracket.multiplier&match_width_multiplier=@bracket.matchWidthMultiplier&scale_to_fit=@bracket.scaleToFit.toInt&show_final_results=@bracket.showFinalResults.toInt&show_standings=@bracket.showStandings&show_voting=@bracket.showVoting" width="100%" height="500" frameborder="0" scrolling="auto" allowtransparency="true"></iframe>
                }
            }
        </div>
    </body>
</html>